import { Meta, Story, Preview, Props } from '@storybook/addon-docs/blocks';
import { Field } from './Field';

<Meta title="MDX|Field" component={Field} />

# Field

`Field` is the basic component for rendering form elements together with labels and description

### Usage

```jsx
import { Forms } from '@grafana/ui';

<Field label={...} description={...}>
  <Input id="userName"  onChange={...}/>
</Field>
```

### Props

<Props of={Field} />
